Subject: Re: WG last call on Sampling and Filtering Techniques for IP Packet Selection

From: Benoit Claise <[email-masked]>
Date: Fri, 12 Nov 2004 02:17:01 +0100

Tanja,

I read the draft (sorry, couldn't read earlier), and I have one issue left.

In this draft, one of your change is:

    -    Low level filter definition substituted by simple filter
    definition based on IPFIX flow attributes
           - No masks and ranges (exept source and dest addresses)
           - No OR operation, AND realized by concatenating filters

This change is welcome.
However, I think it should be propagated to the "Router State 
Filtering", which still allows OR and NOT

 6.3 Router State Filtering 
     
    This class of filters select a packet on the basis of router 
    state conditions. The following list gives examples for such 
    conditions. _Conditions can be  combined with AND, OR or NOT 
    operators. _
  
       - Ingress interface at which the packet arrives equals a 
          specified value 
       - Egress interface to which the packet is routed equals a 
          specified value 
       - Packet violated Access Control List (ACL) on the router 
       - Reverse Path Forwarding (RPF) failed for the packet 
       - Resource Reservation is insufficient for the packet 
       - No route found for the packet 
       - Origin BGP AS [RFC1771] equals a specified value or lies 
          within a given  range  
       - Destination BGP AS equals a specified value or lies within 
          a given range 

Regards, Benoit.

> Hi all,
>
> for reviewing the packet selection draft,  please use the document 
> published under:
>
> http://www.ietf.org/internet-drafts/draft-ietf-psamp-sample-tech-05.txt
>
>
> (Please do not use the document that I did send on the list, because I 
> had to make a few modifications to the IPR and Copyright section to be 
> conformant to the new IETF format. Therefore the published draft 
> slightly differs from the document that I did send before.)
>
> Thanks,
> Tanja
>
> Juergen Quittek wrote:
>
>> Dear all,
>>
>> After long discussions, our document on
>>
>> Sampling and Filtering Techniques for IP Packet Selection
>> draft-ietf-psamp-sample-tech-05.txt
>>
>> is ready for WG last call.
>>
>> The call will last two weeks and close on Friday, November 5th
>> just two days before IETF#61.  Then we can discuss raised issues
>> at our session and (hopefully) solve them quickly.
>>
>> Please read the document and send your comments!
>>
>> Thanks,
>>
>>    Juergen
>
>
>

---

From: Benoit Claise <[email-masked]>
Date: Fri, 12 Nov 2004 02:35:20 +0100

BTW, this concern is also valid for draft-ietf-psamp-framework-09.txt

Regards, Benoit.

>> (Please do not use the document that I did send on the list, because 
>> I had to make a few modifications to the IPR and Copyright section to 
>> be conformant to the new IETF format. Therefore the published draft